Subject: bug#10166: 23.3; [Info-search] "Search Failed"

From: Dave Abrahams <[email-masked]>
Date: Wed, 30 Nov 2011 10:55:43 -0500

on Wed Nov 30 2011, Juri Linkov <juri-AT-jurta.org> wrote:

>>>> Almost any search in the attached fileset will fail in this way if you
>
>>>> repeat it enough times.  Is the texi ill-formed?
>>>
>>> Yes, it's ill-formed.
>>>
>>> `Info-search' expects that "^_\nIndirect:" is preceded by a newline in std.info,
>>> so it fails trying to call (search-forward "\n\^_\nIndirect:").
>>
>> Amazing.  It's the direct output of makeinfo, so I can't understand why
>> the newline would be missing and expected.
>
> makeinfo prepends some boilerplate to its output in every Info file
> that at least begins with a line like:
>
>   This is std.info, produced by makeinfo version 4.13 from std.texi.
>
> so there is always a newline before ^_Indirect:

Well, I am getting some errors from makeinfo, so maybe that's why I
don't see that line at the top of the output.  The output appears to be
otherwise usable (if imperfect).

-- 
Dave Abrahams
BoostPro Computing
http://www.boostpro.com